# Agenten Plattform
#
# (c) 2024 Magnus Bender
# 	Institute of Humanities-Centered Artificial Intelligence (CHAI)
# 	Universitaet Hamburg
# 	https://www.chai.uni-hamburg.de/~bender
#  
# source code released under the terms of GNU Public License Version 3
# https://www.gnu.org/licenses/gpl-3.0.txt


from ums.agent import GatekeeperAgent

from ums.utils.types import Riddle, RiddleSolution


class SimpleSolveAgent(GatekeeperAgent):

	def handle(self, solution: RiddleSolution, riddle: Riddle) -> RiddleSolution:
		solution.accepted = True 
		solution.review = "Ok"
		
		return solution
	
AGENT_CLASSES = [
	SimpleSolveAgent
]